$variable-prefix: "rimow-" !default;

// BASE CONFIG
$enable-social-colors: true !default;
$enable-extra-colors: true !default;
$enable-gradients: false !default;
$enable-navbar-vertical: true !default;
$enable-dark-mode: true !default;
$enable-negative-margins: false !default;

// ASSETS BASE
$assets-base: ".." !default;

// FONTS
$google-font: "Open Sans" !default;
$google-font-alt: "Ruda" !default;
$google-font-monospaced: null !default;

$font-family-sans-serif: $google-font, -apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif !default;
$font-family-monospace: $google-font-monospaced, Menlo, Monaco, Consolas, Liberation Mono, Courier New, monospace;
$font-family-serif: "Georgia", "Times New Roman", times, serif !default;

// EXTERNAL FONTS
$icon-fonts: () !default;

//Icons
$icon-stroke-width: 1.5 !default;
$icon-size: 1.25rem !default;
$icon-sizes: (
  "xxs": 1rem,
  "xs": 1.25rem,
  "sm": 1.875rem,
  "md": 2.5rem,
  "lg": 3.125rem,
  "xl": 3.75rem
) !default;

//Fonts
$font-size-base: .9375rem !default;
$body-letter-spacing: 0 !default;

$font-weight-light: 300 !default;
$font-weight-normal: 400 !default;
$font-weight-medium: 500 !default;
$font-weight-bold: 600 !default;

$line-height-base: (1.25rem/$font-size-base) !default;
$line-height-sm: (1rem/$font-size-base) !default;
$line-height-lg: (1.5rem/$font-size-base) !default;

$h1-font-size: (26rem / 16) !default;
$h1-line-height: (2rem/$h1-font-size) !default;

$h2-font-size: (23rem / 16) !default;
$h2-line-height: (1.75rem/$h2-font-size) !default;

$h3-font-size: (18rem / 16) !default;
$h3-line-height: (1.5rem/$h3-font-size) !default;

$h4-font-size: $font-size-base !default;
$h4-line-height: $line-height-base !default;

$h5-font-size: (13rem / 16) !default;
$h5-line-height: (1rem/$h5-font-size) !default;

$h6-font-size: (10rem / 16) !default;
$h6-line-height: (1rem/$h6-font-size) !default;

$display-font-sizes: (
  1: 5rem,
  2: 4.5rem,
  3: 4rem,
  4: 3.5rem,
  5: 3rem,
  6: 2.5rem
) !default;

$small-font-size: percentage($h5-font-size/$font-size-base) !default;
$smallest-font-size: percentage($h6-font-size/$font-size-base) !default;
$code-font-size: $small-font-size !default;
$code-line-height: 1.25rem !default;

$lead-font-size: $font-size-base !default;
$lead-font-weight: $font-weight-normal !default;

$blockquote-font-size: $font-size-base !default;

// COLORS
$min-contrast-ratio: 1.5 !default;
$text-muted-opacity: .7 !default;
$text-muted-light-opacity: .4 !default;
$text-muted-dark-opacity: .8 !default;

$border-opacity: .16 !default;
$border-dark-opacity: .24 !default;

$light: #f5f7fb !default;
$dark: #5c4283 !default;

$body-bg: $light !default;
$body-color: $dark !default;

$color-contrast-dark: $dark !default;
$color-contrast-light: $light !default;

$light-black: rgba($dark, .24) !default;
$light-mix: rgba(mix($light, $dark, 64%), .24) !default;
$light-white: rgba(92, 66, 131, 0.05)!default;

$min-black: rgba($dark, .024) !default;
$min-white: rgba(mix($light, $dark, 48%), .1) !default;

$gray-50: #fbfbfb !default;
$gray-100: $light !default;
$gray-200: mix($light, $dark, 98%) !default;
$gray-300: mix($light, $dark, 94%) !default;
$gray-400: mix($light, $dark, 88%) !default;
$gray-500: mix($light, $dark, 78%) !default;
$gray-600: mix($light, $dark, 60%) !default;
$gray-700: mix($light, $dark, 36%) !default;
$gray-800: mix($light, $dark, 16%) !default;
$gray-900: $dark !default;

$silver: #a9a9a9 !default;
$blue: #5288c3 !default;
$azure: #4299e1 !default;
$indigo: #6574cd !default;
$purple: #7650b0 !default;
$pink: #ed64a6 !default;
$red: #f5768d !default;
$orange: #fcaa67 !default;
$yellow: #f6cc75 !default;
$lime: #98c45c !default;
$green: #52ad9c !default;
$teal: #2bcbba !default;
$cyan: #17a2b8 !default;
$black: #000000 !default;
$white: #ffffff !default;

$projects: #f6cc75 !default;
$scenarios: #6574cd !default;
$datasets: #1bc48d !default;
$console: #4299e1 !default;

$text-muted: mix($body-color, #fff, percentage($text-muted-opacity)) !default;
$text-muted-light: mix($body-color, #fff, percentage($text-muted-light-opacity)) !default;
$text-muted-dark: mix($body-color, #fff, percentage($text-muted-dark-opacity)) !default;

$border-color: mix($text-muted, #fff, percentage($border-opacity)) !default;
$border-color-transparent: rgba($text-muted, $border-opacity) !default;

$border-color-dark: mix($text-muted, #fff, percentage($border-dark-opacity)) !default;
$border-color-dark-transparent: rgba($text-muted, $border-dark-opacity) !default;

$active-bg: rgba($blue, .06) !default;
$hover-bg: rgba($text-muted, .06) !default;

$primary: $purple !default;
$secondary: $text-muted !default;
$success: $green !default;
$info: $azure !default;
$warning: $orange !default;
$danger: $red !default;

$code-color: $primary !default;

$social-colors: (
  "facebook": #3b5998,
  "twitter": #1da1f2,
  "google": #dc4e41,
  "youtube": #ff0000,
  "vimeo": #1ab7ea,
  "dribbble": #ea4c89,
  "github": #181717,
  "instagram": #e4405f,
  "pinterest": #bd081c,
  "vk": #6383a8,
  "rss": #ffa500,
  "flickr": #0063dc,
  "bitbucket": #0052cc,
  "tabler": #206bc4,
  "risis": #7650b0
) !default;

$rimow-meta-colors: (
  "projects":  $projects,
  "scenarios": $scenarios,
  "datasets": $datasets,
  "console": $console
) !default;

$colors: (
  "blue": $blue,
  "azure": $azure,
  "indigo": $indigo,
  "purple": $purple,
  "pink": $pink,
  "red": $red,
  "orange": $orange,
  "yellow": $yellow,
  "lime": $lime,
  "green": $green,
  "teal": $teal,
  "cyan": $cyan,
  "white": $white,
  "gray": $gray-600,
  "gray-dark": $gray-800,
  "dark": $dark,
  "silver": $silver,
  "alive": $success,
  "available": $success,
  "online": $success,
  "offline": $silver,
  "unavailable": $danger,
  "projects":  $projects,
  "scenarios": $scenarios,
  "datasets": $datasets,
  "console": $console
) !default;


// Dark mode
$dark-mode-darken: darken($dark, 2%) !default;
$dark-mode-lighten: lighten($dark, 2%) !default;
$dark-mode-text: $light;

// Borders
$border-width: 1px !default;
$border-width-wide: 2px !default;
$border-radius: 3px !default;
$border-radius-full: 50% !default;

// Avatars
$avatar-size: 2.5rem !default;
$avatar-sizes: (
  "xs": 1.25rem,
  "sm": 2rem,
  "md": 3.75rem,
  "lg": 5rem,
  "xl": 7rem
) !default;
$avatar-border-radius: $border-radius !default;
$avatar-font-size: $h4-font-size;

$link-decoration: none !default;
$link-hover-decoration: underline !default;

//Typography
$headings-font-weight: $font-weight-medium !default;

$hr-opacity: $border-opacity !default;
$hr-margin-y: 2rem !default;

$caret-spacing: .4em !default;

//Sizing
$grid-gutter-width: 1rem !default;
$container-padding-x: 0.75rem !default;

$spacer: 1rem !default;
$spacers: (
  0: 0,
  1: $spacer / 4,
  1m: $spacer / 2.8,
  2: $spacer / 2,
  3: $spacer,
  4: $spacer * 2,
  5: $spacer * 4,
) !default;

$negative-spacers: if($enable-negative-margins, negativify-map($spacers), null) !default;

$size-spacers: (
  auto: auto,
  px: 1px,
  full: 100%
) !default;


$size-values: (
  1: 1%,
  25: 25%,
  50: 50%,
  75: 75%,
  100: 100%,
  auto: auto
) !default;


$container-variations: (
  sm: 540px,
  md: 720px,
  lg: 960px,
  xl: 1200px,
  xxl: 1400px,
  tight: 30rem,
  narrow: 45rem,
) !default;

$grid-breakpoints: (
  xs: 0,
  sm: 576px,
  md: 768px,
  lg: 992px,
  xl: 1200px,
  xxl: 1400px,
) !default;

$container-max-widths: (
  sm: 540px,
  md: 720px,
  lg: 960px,
  xl: 1140px,
  xxl: 1320px
) !default;

$content-padding-y: 1.25rem !default;


//alerts
$alert-padding-x: 1rem !default;
$alert-padding-y: 1rem !default;
$alert-link-font-weight: $font-weight-bold !default;

$alert-border-width: 1px !default;
$alert-border-color: $border-color-transparent !default;
$alert-shadow: rgba($dark, .04) 0 2px 4px 0 !default;

//breadcrumb
$breadcrumb-variants: (
  dots: "·",
  arrows: "›",
  bullets: "\02022",
) !default;

//badges
$badge-font-size: $code-font-size !default;
$badge-line-height: $code-line-height !default;
$badge-font-weight: $font-weight-medium !default;
$badge-empty-size: .5rem !default;

//buttons
$input-color: $body-color !default;
$input-btn-line-height: $line-height-base !default;
$input-btn-font-size: $font-size-base !default;
$input-btn-padding-y: .5rem - .0625rem !default;


$input-btn-font-size-sm: $h5-font-size !default;
$input-btn-padding-x-sm: .5rem !default;
$input-btn-padding-y-sm: .125rem !default;

$input-btn-font-size-lg: $h2-font-size !default;
$input-btn-padding-x-lg: 1.5rem !default;
$input-btn-padding-y-lg: .5rem !default;

$input-btn-focus-width: .25rem !default;

// Input heights and borders from bootstrap 5

$input-btn-border-width:      $border-width !default;
$input-line-height:                     $input-btn-line-height !default;
$input-border-width:                    $input-btn-border-width !default;
$input-height-border:                   $input-border-width * 2 !default;
$input-padding-y:                       $input-btn-padding-y !default;
$input-btn-padding-x:         .75rem !default;
$input-padding-x:                       $input-btn-padding-x !default;
$input-height:                          add($input-line-height * 1em, add($input-padding-y * 2, $input-height-border, false)) !default;
$input-padding-y-sm:                    $input-btn-padding-y-sm !default;
$input-padding-x-sm:                    $input-btn-padding-x-sm !default;
$input-padding-y-lg:                    $input-btn-padding-y-lg !default;
$input-padding-x-lg:                    $input-btn-padding-x-lg !default;
$input-font-size-sm:                    $input-btn-font-size-sm !default;
$input-font-size-lg:                    $input-btn-font-size-lg !default;

// Need this
$input-height-sm:                       add($input-line-height * 1em, add($input-padding-y-sm * 2, $input-height-border, false)) !default;
$input-height-lg:                       add($input-line-height * 1em, add($input-padding-y-lg * 2, $input-height-border, false)) !default;

$input-color: inherit !default;
$input-focus-color: inherit !default;

//buttons
$btn-padding-x: 1rem !default;
$btn-font-weight: $font-weight-medium !default;
$btn-border-radius: 3px !default;

//cards
$card-border-color: $border-color-transparent !default;
$card-border-radius: $border-radius !default;

$card-cap-bg: $min-black !default;
$card-cap-color: $text-muted !default;
$card-cap-padding-x: 1rem !default;
$card-cap-padding-y: .75rem !default;

$card-spacer-x: 1rem !default;

$card-status-size: $border-width-wide !default;
$card-group-margin: 1.5rem !default;

$card-shadow: rgba($dark, .04) 0 2px 4px 0 !default;
$card-shadow-hover: rgba($dark, .16) 0 2px 16px 0 !default;

$cards-grid-gap: 1rem !default;
$cards-grid-breakpoint: md !default;

//carousel
$carousel-control-color: $dark !default;
$carousel-control-icon-width: 1.5rem !default;
$carousel-control-prev-icon-bg: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='#{$carousel-control-color}' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'><polyline points='15 18 9 12 15 6'></polyline></svg>") !default;
$carousel-control-next-icon-bg: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='#{$carousel-control-color}' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'><polyline points='9 18 15 12 9 6'></polyline></svg>") !default;


//close
$btn-close-color: inherit !default;
$btn-close-width: .75rem !default;
$btn-close-opacity: .3 !default;

//dropdown
$dropdown-item-padding-x: .75rem !default;
$dropdown-item-padding-y: .5rem !default;
$dropdown-font-size: $font-size-base !default;
$dropdown-border-color: $border-color-transparent !default;
$dropdown-divider-bg: $dropdown-border-color !default;
$dropdown-padding-y: .25rem !default;
$dropdown-link-color: inherit !default;
$dropdown-link-hover-bg: $hover-bg !default;
$dropdown-link-hover-color: inherit !default;
$dropdown-spacer: 1px !default;
$dropdown-min-width: 11rem !default;
$dropdown-max-width: 25rem !default;

$dropdown-link-active-color: $primary !default;
$dropdown-link-active-bg: $active-bg !default;



//loader
$loader-size: 2.5rem !default;

//lists
$list-group-item-padding-y: .5rem !default;
$list-group-item-padding-x: .75rem !default;

//modals
$modal-backdrop-opacity: .24 !default;
$modal-backdrop-bg: $dark !default;
$modal-backdrop-blur: 4px !default;

$modal-fade-transform: translate(0, -1rem) !default;

$modal-content-border-color: transparent !default;
$modal-content-bg: $gray-50 !default;
$modal-content-border-radius: $border-radius !default;

$modal-header-padding: 1.5rem !default;
$modal-header-height: 3.5rem !default;
$modal-header-border-width: 1px !default;
$modal-header-border-color: $border-color !default;
$modal-header-bg: $white !default;
$modal-inner-padding: 1.5rem !default;
$modal-footer-border-width: 0 !default;
$modal-footer-margin-between: .75rem !default;

$modal-xl: 1140px !default;
$modal-lg: 720px !default;
$modal-md: 540px !default;
$modal-sm: 380px !default;

//nav
$nav-link-color: inherit !default;
$nav-link-padding-y: .5rem !default;
$nav-link-padding-x: .75rem !default;

$nav-pills-link-active-color: $primary !default;
$nav-pills-link-active-bg: $active-bg !default;


//navbar
$navbar-height: 3.8rem !default;
$navbar-padding-y: .25rem !default;

$navbar-light-color: rgba($body-color, $text-muted-opacity) !default;
$navbar-light-brand-color: $body-color !default;
$navbar-light-border-color: $border-color-transparent !default;
$navbar-light-active-color: $body-color !default;
$navbar-light-disabled-color: rgba($body-color, .3) !default;

$navbar-dark-color: rgba($white, $text-muted-opacity) !default;
$navbar-dark-brand-color: $white !default;
$navbar-dark-border-color: $border-color-transparent !default;
$navbar-dark-active-color: $white !default;
$navbar-dark-disabled-color: rgba($white, .3) !default;


$navbar-brand-padding-y: $nav-link-padding-y !default;
$navbar-brand-image-height: 2rem !default;
$navbar-brand-margin-right: 0 !default;
$navbar-brand-font-size: $h3-font-size !default;
$navbar-brand-font-weight: $font-weight-bold !default;

$navbar-toggler-font-size: 1rem !default;
$navbar-toggler-padding-x: 0 !default;
$navbar-toggler-padding-y: 0 !default;
$navbar-toggler-animation-time: .2s !default;
$navbar-toggler-focus-width: 0 !default;

$navbar-nav-link-padding-x: $nav-link-padding-x !default;

$navbar-overlap-height: 9rem !default;

//sidebar
$sidebar-width: 15rem !default;

//popover
$popover-border-color: $border-color !default;

//footer
$footer-bg: $white !default;
$footer-border-color: $border-color !default;
$footer-border-color: $border-color !default;


//pagination
$pagination-border-width: 0 !default;
$pagination-padding-y: .25rem !default;
$pagination-padding-x: .25rem !default;
$pagination-color: $text-muted !default;
$pagination-bg: transparent !default;
$pagination-disabled-bg: transparent !default;
$pagination-disabled-color: rgba($text-muted, .5) !default;


//steps
$steps-border-width: 2px !default;
$steps-color-inactive: #f3f5f5 !default;

//spinner
$spinner-width: 1.5rem !default;
$spinner-height: 1.5rem !default;
$spinner-width-sm: 1rem !default;
$spinner-height-sm: 1rem !default;
$spinner-border-width: 2px !default;
$spinner-border-width-sm: 1px !default;

//tables
$table-color: inherit !default;
$table-border-color: $border-color-transparent !default;
$table-head-border-color: $border-color-transparent !default;
$table-head-padding-y: .5rem !default;
$table-head-color: $text-muted !default;
$table-head-bg: $min-black !default;
$table-striped-order: even !default;
$table-striped-bg: $min-black !default;
$table-accent-bg: $min-black !default;
$table-group-separator-color: $border-color-transparent !default;

//toasts
$toast-border-color: $border-color !default;
$toast-header-color: $text-muted !default;

//progress
$progress-bg: $border-color !default;
$progress-height: .5rem !default;

//ribbons
$ribbon-margin: .25rem !default;


$list-group-border-color: $border-color !default;
$list-group-action-color: inherit !default;
$list-group-bg: inherit !default;

$input-disabled-bg: $gray-100 !default;
$input-border-color: $border-color-dark-transparent !default;
$input-placeholder-color: $text-muted-light !default;

$input-group-addon-bg: $min-black !default;
$input-group-addon-color: $text-muted !default;

$input-border-radius: $border-radius !default;


//Forms
$form-check-margin-bottom: .5rem !default;
$form-check-input-width: 1rem !default;
$form-check-padding-left: $form-check-input-width + .5rem !default;
$form-check-input-bg: $white !default;
$form-check-input-border: 1px solid $border-color-dark-transparent !default;
$form-check-input-border-radius: $border-radius !default;
$form-check-input-checked-bg-size: 1rem !default;

$form-check-input-checked-color: $white !default;
$form-check-input-checked-bg-repeat: repeat !default;
$form-check-input-checked-bg-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' width='16' height='16'><path fill='none' stroke='#{$form-check-input-checked-color}' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M4 8.5l2.5 2.5l5.5 -5.5'/></svg>") !default;
$form-check-input-checked-bg-image-dark: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' width='16' height='16'><path fill='none' stroke='#{$dark}' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M4 8.5l2.5 2.5l5.5 -5.5'/></svg>") !default;
$form-check-radio-checked-bg-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'><circle r='3' fill='#{$form-check-input-checked-color}' cx='8' cy='8' /></svg>") !default;

$form-check-input-checked-border-color: $border-color-dark-transparent !default;

$form-check-label-disabled-opacity: $text-muted-opacity;

$form-select-indicator-color: opacify($border-color, .24) !default;

$form-switch-width: 2rem !default;
$form-switch-height: 1.125rem !default;
$form-switch-padding-left: $form-switch-width + .5rem !default;
$form-switch-bg-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='3' fill='#{$border-color}'/></svg>") !default;
$form-switch-bg-size: auto !default;

$form-range-track-height: .25rem !default;
$form-range-track-bg: $light-mix !default;
$form-range-thumb-border: 2px solid $white !default;
$form-range-thumb-height: 1rem !default;
$form-range-thumb-focus-box-shadow-width: .125rem !default;

$form-feedback-icon-valid: str-replace(url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='" + $green + "' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'><polyline points='20 6 9 17 4 12'></polyline></svg>"), "#", "%23") !default;
$form-feedback-icon-invalid: str-replace(url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='" + $red + "' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'><line x1='18' y1='6' x2='6' y2='18'></line><line x1='6' y1='6' x2='18' y2='18'></line></svg>"), "#", "%23") !default;

$form-label-font-size: $h4-font-size !default;
$form-label-font-weight: $font-weight-medium !default;

$caret-width: .36em !default;

//Flags
$flag-sizes: $avatar-sizes !default;

//Skeleton buttons
$skeleton-buttons-sizes: (
  "xs": 1.2rem,
  "sm": 1.5rem,
  "md": 2rem,
  "lg": 2.5rem,
  "xl": 3rem,
) !default;

//Skeleton buttons
$skeleton-text-sizes: (
  "h1": $h1-font-size,
  "h2": $h2-font-size,
  "h3": $h3-font-size,
  "h4": $h4-font-size,
  "h5": $h5-font-size,
  "h6": $h6-font-size
) !default;

//Payments
$payment-sizes: $avatar-sizes !default;

//extra for bootstrap v5
$input-btn-focus-color-opacity: .25 !default;
$component-active-bg:         $primary !default;
$form-check-input-checked-bg-color: $component-active-bg !default;
$form-check-radio-border-radius:          50% !default;
$card-title-spacer-y:               $spacer / 2 !default;
$table-cell-padding-y:        .5rem !default;
$table-cell-padding-x:        .5rem !default;
$table-cell-padding-y-sm:     .25rem !default;
$table-cell-padding-x-sm:     .25rem !default;
$hr-height:                   $border-width !default;

// Form select stuff from bootstrap 5

$box-shadow-inset:            inset 0 1px 2px rgba($black, .075) !default;

$font-weight-base:            $font-weight-normal !default;

$input-bg:                              $white !default;
$input-disabled-border-color:           null !default;

$input-btn-focus-color-opacity: .25 !default;
$input-btn-focus-color:         rgba($component-active-bg, $input-btn-focus-color-opacity) !default;

$input-focus-border-color:              tint-color($component-active-bg, 50%) !default;
$input-focus-color:                     $input-color !default;
$input-focus-width:                     $input-btn-focus-width !default;

$input-btn-font-family:       null !default;

$input-font-family:                     $input-btn-font-family !default;
$input-font-size:                       $input-btn-font-size !default;
$input-font-weight:                     $font-weight-base !default;

$form-select-padding-y:             $input-padding-y !default;
$form-select-padding-x:             $input-padding-x !default;

$form-select-font-family:           $input-font-family !default;
$form-select-font-size:             $input-font-size !default;
$form-select-font-weight:           $input-font-weight !default;
$form-select-line-height:           $input-line-height !default;
$form-select-color:                 $input-color !default;
$form-select-disabled-color:        $gray-600 !default;
$form-select-bg:                    $input-bg !default;
$form-select-disabled-bg:           $gray-200 !default;
$form-select-disabled-border-color: $input-disabled-border-color !default;
$form-select-indicator-padding:     1rem !default; // Extra padding to account for the presence of the background-image based indicator
$form-select-padding-y:             $input-padding-y !default;
$form-select-padding-x:             $input-padding-x !default;
$form-select-bg-size:               16px 12px !default; // In pixels because image dimensions
$form-select-bg-position:           right $form-select-padding-x center !default;
$form-select-indicator:             url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'><path fill='none' stroke='#{$form-select-indicator-color}' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/></svg>") !default;

$form-select-focus-border-color:  $input-focus-border-color !default;
$form-select-focus-width:         $input-focus-width !default;
$form-select-focus-box-shadow:    0 0 0 $form-select-focus-width $input-btn-focus-color !default;

$form-select-border-width:        $input-border-width !default;
$form-select-border-color:        $input-border-color !default;
$form-select-border-radius:       $border-radius !default;
$form-select-box-shadow:          $box-shadow-inset !default;

$form-select-padding-y-sm:        $input-padding-y-sm !default;
$form-select-padding-x-sm:        $input-padding-x-sm !default;
$form-select-font-size-sm:        $input-font-size-sm !default;

$form-select-padding-y-lg:        $input-padding-y-lg !default;
$form-select-padding-x-lg:        $input-padding-x-lg !default;
$form-select-font-size-lg:        $input-font-size-lg !default;

// Link styling from bootstrap 5

$link-shade-percentage:                   20% !default;
